function myStruct = structNode2myStruct(str_tmp,src,sensor,num_devices)

switch str_tmp.Name
    case 'file'
      for i=1:size(str_tmp.Attributes,2)
          if strcmp('name',str_tmp.Attributes(1,i).Name) 
              file = str_tmp.Attributes(1,i).Value;
          end
          if strcmp('time_stamp',str_tmp.Attributes(1,i).Name) 
              ts = str_tmp.Attributes(1,i).Value;
          end
      end
    case 'images'
      num_child = size(str_tmp(1,1).Children,2);
      k=1;
      switch sensor
        case 'camera_network'
          file(1:num_devices) = struct('Name',[],...
                'Number', [],'Time_stamp',[]);
        case 'stereo_camera'
          file(1:num_devices) = struct('Name',[],...
                'Side', [],'Time_stamp',[]);
      end
      for i=1:num_child
        if ~strcmp('#text',str_tmp(1,1).Children(1,i).Name)
          if strcmp('camera', str_tmp(1,1).Children(1,i).Name)
            for j=1:size(str_tmp(1,1).Children(1,i).Attributes,2)
              if ~isempty(str_tmp(1,1).Children(1,i).Attributes(1,j).Name)
                switch str_tmp(1,1).Children(1,i).Attributes(1,j).Name
                  case 'file'
                    name = str_tmp(1,1).Children(1,i).Attributes(1,j).Value;
                  case 'side'
                    side = str_tmp(1,1).Children(1,i).Attributes(1,j).Value;
                  case'time_stamp'
                    ts= str_tmp(1,1).Children(1,i).Attributes(1,j).Value;
                  case 'number'
                    num = str_tmp(1,1).Children(1,i).Attributes(1,j).Value;
                end
              end
            end
            switch sensor
              case 'camera_network'
                file(k) =struct(        ...
                          'Name',name,  ...
                          'Number',num, ...
                          'Time_stamp', ts);
              case 'stereo_camera'
                file(k) =struct(        ...
                          'Name',name,  ...
                          'Side',side,   ...
                          'Time_stamp', ts);
            end
            %fprintf('i: %d, k: %d, name: %s, side: %s, ts: %s \n',i,k,name,side,ts)
            %disp(file(k))
            k=k+1;
          end
        end
      end
    otherwise
    myStruct = [];
    return
end

myStruct = struct(          ...
          'SRC', src,       ...
          'File', file,     ...
          'Time_stamp', ts, ...
          'Device', sensor);