
% ts - 1xn vector, query time tamps
% files - struct whit compass information
%         .Files
%         .SRC
%         .Time_Stamps

function orientation = compassGetOrientation(ts,files)


compass = parseCompass(files);

fprintf('Searching %d orientations: ',size(ts,2))
inx = syncTimeStamps(floor(ts),compass.ts);
orientation = zeros(3,size(ts,2));
nzinx = find(inx>0);
orientation(:,nzinx) = deg2rad(compass.data(:,nonzeros(inx)));
fprintf('... DONE\n')