function theStruct = getFilesParam(file)


str_tmp = parseXML(file);

%%
fprintf('Retrieving information ')
for i=1:size(str_tmp,2)
  if ~isempty(str_tmp(1,i).Attributes)
    numAttributes = size(str_tmp(1,2).Attributes,2);
    for j=1:numAttributes
      if strcmp('src',str_tmp(1,2).Attributes(1,j).Name)
          src =str_tmp(1,2).Attributes(1,j).Value;
      end
      if strcmp('type',str_tmp(1,2).Attributes(1,j).Name)
        sensor = str_tmp(1,i).Attributes(1,j).Value;
        fprintf(' from: %s ...', sensor);
      end
    end
  end
end

%%
size_str_tmp = size(str_tmp,2);
for i=1:size_str_tmp
  if ~isempty(str_tmp(1,i).Children)
    if strcmp('device',str_tmp(1,i).Name)
      %fprintf('i: %d \n',i);
      k =1;
      num_devices =1;
      numChild = size(str_tmp(1,i).Children,2);
      numValChildChild = getNumValChild(str_tmp(1,i).Children,'Name');
      for j=1:size(str_tmp(1,i).Attributes,2)
        switch str_tmp(1,i).Attributes(1,j).Name
          case 'num_cameras'
            tmp = textscan(str_tmp(1,i).Attributes(1,j).Value, '%d', 1);
            num_devices = tmp{:};
            break
        end
      end
      allocCell = cell(1,numValChildChild);
      theStruct = struct(             ...
          'SRC', allocCell,       ...
          'File', allocCell,      ...
          'Time_stamp', allocCell, ...
          'Device', allocCell);
      
      for j =1:numChild
           %tmp = structNode2myStruct_2(str_tmp(1,i).Children(1,j),src,...
            % sensor);
            tmp = structNode2myStruct(str_tmp(1,i).Children(1,j),src,...
            sensor,num_devices);
            if ~isempty(tmp)
                theStruct(1,k) = tmp;
                k =k+1;
            end
      end
    end
  end
end
fprintf('DONE\n')


